> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1orgs visibilitypreview



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/orgs/{org_uuid}/visibility/preview
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /api/v1/orgs/{org_uuid}/visibility/preview:
    get:
      tags:
        - visibility
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: org_uuid
          in: path
        - schema:
            type: string
            format: uuid
          required: true
          name: user_id
          in: query
      responses:
        '200':
          description: Preview
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisibilityPreview'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisibilityErrorBody'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisibilityErrorBody'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisibilityErrorBody'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisibilityErrorBody'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisibilityErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    VisibilityPreview:
      type: object
      properties:
        user_id:
          type: string
          format: uuid
        visibility_enabled:
          type: boolean
        visible_users:
          type: array
          items:
            $ref: '#/components/schemas/VisiblePrincipal'
      required:
        - user_id
        - visibility_enabled
        - visible_users
    VisibilityErrorBody:
      type: object
      properties:
        detail:
          nullable: true
    VisiblePrincipal:
      type: object
      properties:
        user_id:
          type: string
          format: uuid
        email:
          type: string
          format: email
        name:
          type: string
      required:
        - user_id
        - email
        - name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT access token or API key (csk_...)

````